Subject: bug#57807: 29.0.50; Make vc-print-branch-log able to log multiple branches

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2022 08:33:00 +0300

> From: Sean Whitton <[email-masked]>
> Date: Wed, 14 Sep 2022 15:42:54 -0700
> 
> On Wed 14 Sep 2022 at 08:41PM +03, Eli Zaretskii wrote:
> 
> > I'm not sure I understand: how is this different from what "C-x v L"
> > already produces?
> 
> Here's an example showing logging two branches "melete" and "erebus" in
> a repo of mine:
> 
>     * 8d679018 (origin/erebus) sync from melete ~/doc on erebus
>     * 44398919 use light-on-dark on erebus
>     * 272fc7a6 manual DPMS on erebus since it means no sound
>     * 22fc8f11 erebus wallpaper
>     * 512eb187 erebus terminal font size
>     | * 038c0a31 (HEAD -> melete, origin/melete) sync from erebus ~/doc on melete
>     | * 8197e31e modus-vivendi on melete for erebus
>     |/
>     * c3f9d152 (origin/master, origin/HEAD, master) attempt to ensure [...]
>     * 643b20f6 spw/maybe-scale-basic-faces: simplify checking fonts were found
> 
> >From this view one is able to see how erebus is 5 commits ahead of
> master and melete is two (different) commits ahead of master.

So the difference is that what you want to see is all the branches up
to their HEAD, and not just branches merged into the current branch,
is that right?

If so, I guess some optional feature of "C-x v L" could do that.
However, if the repository has many branches (and ours, for example,
does), wouldn't that make for a crowded and hard-t-read log buffer?
Perhaps asking the user for a name of one branch will be enough?  More
than one branch could be problematic on display, I think.